---

# Create /opt/arcane
- name: Creating /opt/arcane
  file:
    path: /opt/arcane
    owner: "{{ superuser }}"
    group: "{{ supergroup }}"
    state: directory

# Create /opt/projects
- name: Creating /opt/projects
  file:
    path: /opt/projects
    owner: "{{ superuser }}"
    group: "{{ supergroup }}"
    state: directory

# Copy Arcane docker compose file
- name: Copying Arcane compose.yml
  copy:
    src: compose.yml
    dest: /opt/arcane/compose.yml
    owner: "{{ superuser }}"
    group: "{{ supergroup }}"
    mode: '0644'

# Docker compose up
- name: Starting Arcane if not already running
  shell: "docker compose up -d"
  args:
    chdir: /opt/arcane
